[![Pub Package](https://img.shields.io/pub/v/dent.svg)](https://pub.dartlang.org/packages/dent)
[![Github Actions CI](https://github.com/dint-dev/dent/workflows/Dart%20CI/badge.svg)](https://github.com/dint-dev/dent/actions?query=workflow%3A%22Dart+CI%22)
[![Build Status](https://travis-ci.org/dint-dev/dent.svg?branch=master)](https://travis-ci.org/dint-dev/dent)

# Overview
Dent aims to give data layer for Dart developers writing ecommerce or other applications. Dent is
used by [Dint](https://github.com/dint-dev/dint).

The goals are:
  * __Saving time__. All you need to do is to connect to some database supported by the package
    [database](https://pub.dev/packages/database).
  * __Reducing defects__. A data layer audited by more teams than just your own is likely to contain
    less defects when it comes to database modeling, programming, security, or regulatory
    compliance.
  * __Encouraging interoperability__. This package aims to provide a stable API for packages.


## Links
  * [Issue tracker in Github](https://github.com/dint-dev/dent/issues)
  * [Source code in Github](https://github.com/dint-dev/dent)
  * [API reference](https://pub.dev/documentation/dent/latest/)

## Examples
### Identity
  * [Account](https://pub.dev/documentation/dent/latest/dent.account/Account-class.html)
  * [Organization](https://pub.dev/documentation/dent/latest/dent.account/Organization-class.html)
  * [Person](https://pub.dev/documentation/dent/latest/dent.account/Person-class.html)
  * [PersonName](https://pub.dev/documentation/dent/latest/dent.account/PersonName-class.html)

### Business
  * [Product](https://pub.dev/documentation/dent/latest/dent.business/Product-class.html)
  * [ShoppingCart](https://pub.dev/documentation/dent/latest/dent.business/ShoppingCart-class.html)
  * [ShoppingCartItem](https://pub.dev/documentation/dent/latest/dent.business/ShoppingCartItem-class.html)
  * [ShoppingTransaction](https://pub.dev/documentation/dent/latest/dent.business/ShoppingTransaction-class.html)

### World
  * [Place](https://pub.dev/documentation/dent/latest/dent.world/Place-class.html)

Contributors may be added to the Github organization team so they can save time by pushing
directly to the repository.

## Credits
  * [terrier989](https://github.com/terrier989)
  * _Contributor? You can add your name/email/homepage here_