// Copyright 2019 terrier989@gmail.com.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// Some shared models for dealing with authentication and user accounts.
///
/// Import:
/// ```
/// import 'package:dent/account.dart'.
/// ```
library dent.account;

export 'package:dent/src/account/account.dart';
export 'package:dent/src/account/account_provider.dart';
export 'package:dent/src/account/email_address.dart';
export 'package:dent/src/account/organization.dart';
export 'package:dent/src/account/person.dart';
export 'package:dent/src/account/person_name.dart';
export 'package:dent/src/account/phone_number.dart';
