// Copyright 2019 terrier989@gmail.com.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';
import 'package:database/database.dart' show Date;
import 'package:dent/core.dart';

part 'date.g.dart';

abstract class DateQuery
    implements PrimitiveQuery, Built<DateQuery, DateQueryBuilder> {
  static Serializer<DateQuery> get serializer => _$dateQuerySerializer;

  factory DateQuery([void Function(DateQueryBuilder b) updates]) = _$DateQuery;

  DateQuery._();
}
